---
name: Jeff Ford
locality:
country: Remote
role: <a href="">IT Helpdesk Analyst</a>
reports_to: mbeee
picture: jeffford.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: jeffford-gl
departments:
- Corporate Security
specialty: ''
expertise:
story:
job_title: IT Helpdesk Analyst
division: Security
public: true

